#include <SoftwareSerial.h> //Please add angle brackets at the start and end of library. This includes Software Serial liberary. 
  #define RX 6 // Defines RX pin
  #define TX 5 // Defines TX pin
   //Definne RX and TX pins on the microcontroller - connected to bluetooth module

  
   
  SoftwareSerial blueToothSerial(RX,TX);  //Defining blueToothSerial input annd output pins
  #define LED_A 0  //LED A row connected to pin 0.
  #define LED_B 1  //LED B row connected to pin 1.
  #define LED_C 2  //LED C row connected to pin 2.

  
   //Defining rows connected to pins
  void setup()
  {
    pinMode(RX, INPUT);
    pinMode(TX, OUTPUT);
    pinMode(LED_A, OUTPUT);
    pinMode(LED_B, OUTPUT);
    pinMode(LED_C, OUTPUT);
  

    // Each set of LED acts as output of Character recieved.

  blueToothSerial.begin(9600);  //Bluetooth Serial
   delay(2000); //Delay time (in miliseconds) 
   blueToothSerial.println("bluetooth connected!\n"); //Prints when bluetooth serial connected
   //prints at the begining when blueToothSerial is recieves.
   delay(2000); // This delay is required.
   blueToothSerial.flush();
   
  }
   
  void loop()
  {
   
    int recvChar;
    while(1)
    {
   
    if(blueToothSerial.available()) //This executes when bluetooth is available.
    {
      recvChar = blueToothSerial.read(); // Recieves the serial data from the bluetooth.

      //below are the code for individual LED associated with an integer.
   
      if(recvChar == 1)
      {
        set_pins(LED_B, LED_A);
      }


      
      else if(recvChar == 2)
      {
       set_pins(LED_C, LED_A);
      }




      else if(recvChar == 3)
      {
        set_pins(LED_A, LED_B);
    }


    
      else if(recvChar == 4)
      {
        set_pins(LED_C, LED_B);
    }


    
   
      else if(recvChar == 5)
      {
        set_pins(LED_A, LED_C);
    }
  
  
       else if(recvChar == 6)
      {
        set_pins(LED_B, LED_C);
  }
      
     
    }
      }
   
    }
    void set_pins(int high_pin, int low_pin)
  {
    // reset all the pins
    reset_pins();
   
    // set the high and low pins to output
    pinMode(high_pin, OUTPUT);
    pinMode(low_pin, OUTPUT);
   
    // set high pin to logic high, low to logic low
    digitalWrite(high_pin, HIGH);
    digitalWrite(low_pin,LOW);
  }
   
   
   void reset_pins()
  {
    // start by ensuring all pins are at input and low
    pinMode(LED_A, OUTPUT);
    pinMode(LED_B, OUTPUT);
    pinMode(LED_C, OUTPUT);
 
    digitalWrite(LED_A, LOW);
    digitalWrite(LED_B, LOW);
    digitalWrite(LED_C, LOW);

  }
